# ShopStyle Node Common

Shared client/server code for ShopStyle javascript/typescript (node, angular, etc)
applications.

Scripts, components, etc can be put here to be shared across projects.

Ultimately most if not all things here should/will be broken into their own
separate projects as node modules by topic (e.g. shopstyle-typescript-decorators,
shopstyle-node-utils, etc), but this makes reusable code development quicker/simpler
but comes at the cost of potential version conflict issues (I need new version
of __ component but upgrading this whole node module could have known or unknown
incompatibility issues with other components, sripts, etc)

# Running a local version of Common

Fork this repo and clone it locally
Run `npm ln` in the home directory  - docs can be found here https://docs.npmjs.com/cli/link

Go to the directory node modules in your project : `cd ~/popsugar/<your_project>/node_modules`
<br>Run `npm ln ~/popsugar/shopstyle-node-common`

Now you should be able to use your own local common

To undo this, either remove the @ssjs/shopstyle-node-common directory from node_modules in your project
or use `npm unintall -g @ssjs/shopstyle-node-common`
Finally `npm install @ssjs/shopstyle-node-common`
