import '../../scripts/dependencies/app';
import './<%= dashName %>.scss';

import { HotReload }            from '@ssjs/shopstyle-node-common/dist/client/scripts/decorators/hot-reload';
import { Component }            from '@ssjs/shopstyle-node-common/dist/client/scripts/decorators/component';
import { View }                 from '@ssjs/shopstyle-node-common/dist/client/scripts/decorators/view';
import { inject }               from '@ssjs/shopstyle-node-common/dist/client/scripts/decorators/inject';
import { <%= className %> }     from './<%= dashName %>-service';

@HotReload(module)

@Component({
  selector: '<%= dashName %>'
})

@View({
  template: require('./<%= dashName %>.html')
})

/**
 * @class <%= className %>Component
 */
export class <%= className %>Component {
  @inject
  private <%= camelName %>: <%= className %>;

  constructor() {

  }
}
