import '@host';

import './body.scss';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { Body }        from './body';

@Component({
  selector: 'body'
})

@View({
  template: require('./body.html')
})

/**
 * @class BodyComponent
 */
export class BodyComponent {
  @inject
  body: Body;

  constructor() {
    // Initialize
  }
}
