import '@host';
import './coverage.scss';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { Coverage }    from './coverage';

@Component({
  selector: 'coverage'
})

@View({
  template: require('./coverage.html')
})

/**
 * @class CoverageComponent
 */
export class CoverageComponent {
  @inject
  coverage: Coverage;
}
