import '@host';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
// TODO: get service from @ssjs/shopstyle-node-common
import { Head }        from './head-service';

@Component({
  selector: 'head'
})

@View({
  template: require('./head.html')
})

/**
 * @class HeadComponent
 */
export class HeadComponent {
  @inject
  head: Head;
}
