import '@host';
import './form-field.scss';

import { HotReload }            from '../../../scripts/decorators/hot-reload';
import { Component }            from '../../../scripts/decorators/component';
import { View }                 from '../../../scripts/decorators/view';

@HotReload(module)

@Component({
  selector: 'form-field',
  bind: {
    type: '=',
    placeholder: '=',
    model: '='
  }
})

@View({
  template: require('./form-field.html')
})

/**
 * @class FormField
 */
export class FormField {

}
