import { Directive } from '../decorators/directive';

@Directive('onLoad')
export class OnLoadDirective implements angular.IDirective {
  link(scope: ng.IScope, element: ng.IAugmentedJQuery, attrs: any) {

    element.on('load', (event: Event) => {
      scope.$eval(attrs.onLoad, { $event: event });

      if (!scope.$$phase) {
        scope.$apply();
      }
    });
  }
}
