import '../dependencies';

import path = require('path');
import _ = require('lodash');

const pkg = require(path.join(process.cwd(), 'package.json'));
const explorer = require('loopback-component-explorer');

export = (server: any) => {
  const restApiRoot = server.get('restApiRoot');

  // TODO: get from configs with defaults
  // TODO: package default configs are in their configs or in code like here?
  server.use('/explorer', explorer.routes(server, {
    basePath: restApiRoot,
    apiInfo: {
      title: _.startCase(pkg.name)
    }
  }));
};
