import '../dependencies';

import path = require('path');

// TODO: get path from options
export = function(staticDir = 'public', fileName = 'index.html') {
  return (req: any, res: any, next: any) => {
    
    if (process.env.NODE_ENV === 'development' || !process.env.NODE_ENV) {
      res.redirect('/#' + req.url);  
    } else {
      res.sendFile('index.html', {
        root: path.join(process.cwd(), staticDir)
      }); 
    }
  };
};
