import '@host';
import './api-composer.scss';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { ApiComposer } from './api-composer';

@Component({
  selector: 'api-composer'
})

@View({
  template: require('./api-composer.html')
})

/**
 * @class ApiComposerComponent
 */
export class ApiComposerComponent {
  @inject
  apiComposer: ApiComposer;

  constructor() {

  }
}
