import '@host';

import './side-menu.scss';

import { HotReload }   from '../../scripts/decorators/hot-reload';
import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { Modal }       from '../../scripts/services/modal';

@HotReload(module)

@Component({
  selector: 'side-menu'
})

@View({
  template: require('./side-menu.html')
})

/**
 * @class CoverageComponent
 */
export class CoverageComponent {
  @inject
  private modal: Modal;

  @inject
  private $state: angular.ui.IStateService;

  states = this.$state.get();

  constructor() {
    // Do stuff
  }
}
