import { makeInjectable } from './inject';

export const Filter = (name: string) => {
  const decorator: ClassDecorator = (Target: any) => {
    const target = makeInjectable(Target);

    // Construct the module
    angular
      .module('app')
      .filter(name, target);
  };

  return decorator;
};
