import { Filter }  from '../decorators/filter';

@Filter('humanize')
export class Humanize {
  constructor() {
    return _.memoize((string: string) => {
      return _.capitalize(_.startCase(string).toLowerCase());
    });
  }
}
