import { Filter } from '../decorators/filter';
import * as _     from 'lodash';

@Filter('titleize')
export class Titleize {
  constructor() {
    return _.memoize((string: string) => {
      return _.startCase(string);
    });
  }
}
