import '../dependencies';

import * as url from 'url';
import * as express from 'express';

const httpProxy = require('http-proxy');

const proxy = httpProxy.createProxyServer({
  // options
  // TODO: get from config
});

export = (server: express.Application) => {

  // TODO: get path parts from config
  const root = '/api/v1/proxy';

  server.use(root, (req: express.Request, res: express.Response) => {
    const proxyUrl = url.parse(req.url.substr(1));

    // TODO: override any other headers?
    req.url = proxyUrl.path;
    req.host = req.hostname = req.headers['Host'] = req.headers['host'] = proxyUrl.hostname;

    proxy.web(req, res, {
      secure: false,
      target: proxyUrl.protocol + '//' + proxyUrl.host
    });
  });
};
